namespace Microsoft.Services.TestTools.UITesting.Html {
    using System;

    /// <summary>
    /// Decorate your <see cref="Page"/> with this attribute to tell 
    /// the Page launcher to clear the browser cookies prior page launch.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class)]
    public class ClearCookiesAttribute : Attribute {
    }
}