namespace Microsoft.Services.TestTools.UITesting.Html {
    using System;

    /// <summary>
    /// A relative <see cref="Uri"/>
    /// </summary>
    public class RelativeUri : Uri {

        /// <summary>
        /// Initializes a new instance of the <see cref="RelativeUri"/> class.
        /// </summary>
        /// <param name="relativeUri">The relative Uri.</param>
        public RelativeUri(string relativeUri)
            : base(relativeUri, UriKind.Relative) {
        }
    }
} 