﻿namespace SampleApp.Tests.Pages
{
    using Microsoft.Services.TestTools.UITesting.Html;

    [EntryUri("/Account/LogOn")]
    public class LogOn : Page {

        public LogOn LogOnUser(string userName, string password) {

            Browser.SetEditTexts(
                new {
                    UserName = userName,
                    Password = password
                });

            return this;
        }

        public Registration NavigateToRegistration() {
            Browser.Click(new {InnerText = "Register"});
            return NavigatedTo<Registration>();
        }
    }
}