namespace SampleApp.Tests {
    using Microsoft.Services.TestTools.UITesting.Html;
    using Microsoft.VisualStudio.TestTools.UITesting;
    using Microsoft.VisualStudio.TestTools.UnitTesting;

    using SampleApp.Tests.Pages;

    [CodedUITest]
    public class HomeTests : PageTest<Home> {

        [TestMethod]
        public void MainMenuContainsHome() {
            Assert.IsTrue(TestedPage.MainMenuContainsItem("Home"));
        }
        
        [TestMethod]
        public void MainMenuContainsShop() {
            Assert.IsTrue(TestedPage.MainMenuContainsItem("Shop"));
        }

        [TestMethod]
        public void MainMenuContainsCategories() {
            Assert.IsTrue(TestedPage.MainMenuContainsItem("Categories"));
        }

        [TestMethod]
        public void MainMenuContainsProducts() {
            Assert.IsTrue(TestedPage.MainMenuContainsItem("Products"));            
        }
    }
}