namespace SampleApp.Tests.Pages {
    using Microsoft.Services.TestTools.UITesting.Html;

    [EntryUri("/Account/Register")]
    public class Registration : Page {

        public Home CreateNewAccount(string userName, string email, string password) {
            
            Browser.SetEditTexts(new { 
                UserName        = userName,
                Email           = email,
                Password        = password,
                ConfirmPassword = password
            });
            
            Browser.ClickOnButton("Register");

            return NavigatedTo<Home>();
        }

    }
}