namespace SampleApp.Models {
    using System.ComponentModel.DataAnnotations;
    using System.Web.Script.Serialization;

    public class Product {
        
        public int      Id          {get;set;}
        [Required]
        public string   Name        {get;set;}
        public int      CategoryId  {get;set;}
        public decimal? UnitPrice   {get;set;}
        public bool     InStock     {get;set;}

        [ScriptIgnore]
        public virtual Category Category { get;set;}

    }
}